import type { _MTRDevice } from "./MTRDevice.js";
import type { _MTRGenericCluster } from "./MTRGenericCluster.js";
import type { _MTRReadParams } from "./MTRReadParams.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRClusterApplicationBasic extends _MTRGenericCluster {
    static alloc(): _MTRClusterApplicationBasic;
    static new(): _MTRClusterApplicationBasic;
    init(): _MTRClusterApplicationBasic;
    readAttributeVendorNameWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeVendorIDWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeApplicationNameWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeProductIDWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeApplicationWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeStatusWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeApplicationVersionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAllowedVendorListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeGeneratedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAcceptedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAttributeListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeFeatureMapWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeClusterRevisionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    /**
     * The queue is currently unused, but may be used in the future for calling completions for command invocations if commands are added to this cluster.
     */
    initWithDevice$endpointID$queue$(device: _MTRDevice, endpointID: _NSNumber, queue: _NSObject): _MTRClusterApplicationBasic | null;
    initWithDevice$endpoint$queue$(device: _MTRDevice, endpoint: number, queue: _NSObject): _MTRClusterApplicationBasic | null;
}
